[Date Prev][Date Next] [Thread Prev][Thread Next] [Date Index] [Thread Index]

Re: dummy packages and "Replaces:" field

Gustavo Noronha Silva <kov@debian.org> writes:

> Em Qui, 2005-06-23 às 12:39 -0400, Roberto C. Sanchez escreveu:
>> OK.  That is what I am looking for.  I want to completely replace the
>> two packages that cannot coexist with the new icewmcp package.
>> Currently, I must use dummy packages for that, correct?
> Correct. And Conflicts: with version <= ${Source-Version} of both, if
> icewmcp has a greater version than both. I guess you'll need to use an
> epoch if not.
> See ya,

A source package can build binary packages with different versions.

E.g. icewmcp 1.0-1 source could build:

icewmcp 1.0-1
iceme 1.0.0-12.1
iceperf 1:1.2-3

Absolutely no problem with that.


Reply to: